Segments

Get a segment

One segment of the scope the call names: the workspace, or the keyword group in `groupId`. A segment saved in another scope is a 404.

GET
/v1/segments/{id}
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

Path Parameters

idstring

Segment id (seg_...).

Length1 <= length

Query Parameters

groupId?string

Scope to one keyword group (grp_...): only people who mentioned that group's keywords, with that group's own tags, notes, mute, merges, activities and segments. Omit for the whole workspace.

Length1 <= length

Response Body

application/json

application/json

application/json

curl -X GET "https://api.mentio.dev/v1/segments/seg_abc123"
{
  "id": "string",
  "name": "string",
  "description": "string",
  "filter": {
    "platforms": [
      "bluesky"
    ],
    "tags": [
      "string"
    ],
    "minFollowers": 0,
    "maxFollowers": 0,
    "minMentions": 1,
    "minNegative": 1,
    "intents": [
      "string"
    ],
    "keywordKinds": [
      "brand"
    ],
    "neverKeywordKinds": [
      "brand"
    ],
    "notPlatforms": [
      "bluesky"
    ],
    "notTags": [
      "string"
    ],
    "notIntents": [
      "string"
    ],
    "newSinceDays": 1,
    "linkHosts": [
      "string"
    ],
    "muted": true,
    "stages": [
      "not_contacted"
    ],
    "automated": true,
    "ownerIds": [
      "string"
    ]
  },
  "groupId": "string",
  "count": 0,
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}